pcl::visualization::PointCloudColorHandlerHSVField< PointT > Class Template Reference
Module visualization

HSV handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerHSVField< PointT >:

## Public Types

using | Ptr = shared_ptr< PointCloudColorHandlerHSVField< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandlerHSVField< PointT > >
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointT > >

## Public Member Functions

| PointCloudColorHandlerHSVField (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandlerHSVField ()
| Empty destructor. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as a VTK data array. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Member Functions

virtual std::string | getName () const
| Class getName method. More...

## Protected Attributes

int | s_field_idx_
| The field index for "S". More...
int | v_field_idx_
| The field index for "V". More...
Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerHSVField< PointT >

HSV handler class for colors.

Uses the data present in the "h", "s", "v" fields as the color at each point.

Definition at line 327 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::visualization::PointCloudColorHandlerHSVField< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandlerHSVField<PointT> >

Definition at line 335 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT >

using pcl::visualization::PointCloudColorHandlerHSVField< PointT >::Ptr = shared_ptr<PointCloudColorHandlerHSVField<PointT> >

Definition at line 334 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerHSVField()

template<typename PointT >

pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

Definition at line 196 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::field_idx_, pcl::visualization::PointCloudColorHandler< PointT >::fields_, pcl::visualization::PointCloudColorHandlerHSVField< PointT >::s_field_idx_, and pcl::visualization::PointCloudColorHandlerHSVField< PointT >::v_field_idx_.

## ~PointCloudColorHandlerHSVField()

template<typename PointT >

virtual pcl::visualization::PointCloudColorHandlerHSVField< PointT >::~PointCloudColorHandlerHSVField | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 341 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

template<typename PointT >

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 227 of file point_cloud_color_handlers.hpp.

## getFieldName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 345 of file point_cloud_color_handlers.h.

## getName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getName | ( |  | ) | const

inline protected virtual

Class getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 355 of file point_cloud_color_handlers.h.

## Member Data Documentation

## s_field_idx_

template<typename PointT >

int pcl::visualization::PointCloudColorHandlerHSVField< PointT >::s_field_idx_

protected

The field index for "S".

Definition at line 358 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField().

## v_field_idx_

template<typename PointT >

int pcl::visualization::PointCloudColorHandlerHSVField< PointT >::v_field_idx_

protected

The field index for "V".

Definition at line 361 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField().

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_color_handlers.h
- pcl/visualization/impl/point_cloud_color_handlers.hpp